---
title: Error() constructor
slug: Web/JavaScript/Reference/Global_Objects/Error/Error
tags:
  - Constructor
  - JavaScript
  - Reference
---
<div>{{JSRef}}</div>

<p><span class="seoSummary">The <strong><code>Error</code></strong> constructor creates an error object.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">new Error([<var>message</var>[, <var>fileName</var>[, <var>lineNumber</var>]]])</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><var>message</var></code>{{Optional_Inline}}</dt>
 <dd>A human-readable description of the error.</dd>
 <dt><code><var>fileName</var></code> {{Optional_Inline}}{{Non-standard_inline}}</dt>
 <dd>The value for the <code><var>fileName</var></code> property on the created <code>Error</code> object. Defaults to the name of the file containing the code that called the <code>Error()</code> constructor.</dd>
 <dt><code><var>lineNumber</var></code> {{Optional_Inline}}{{Non-standard_inline}}</dt>
 <dd>The value for the <code><var>lineNumber</var></code> property on the created <code>Error</code> object. Defaults to the line number containing the <code>Error()</code> constructor invocation.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<h3 id="Function_call_or_new_construction">Function call or new construction</h3>

<p>When <code>Error</code> is used like a function -- without {{JSxRef("Operators/new", "new")}}, it will return an <code>Error</code> object. Therefore, a mere call to <code>Error</code> will produce the same output that constructing an <code>Error</code> object via the <code>new</code> keyword would.</p>

<pre class="brush: js; notranslate">// this...
const x = Error('I was created using a function call!')

// ...has the same functionality as this.
const y = new Error('I was constructed via the "new" keyword!')</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-error-constructor', 'Error constructor')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("javascript.builtins.Error.Error")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{JSxRef("Statements/throw", "throw")}}</li>
 <li>{{JSxRef("Statements/try...catch", "try...catch")}}</li>
</ul>
